Retrieving Order Information#
Get Order by ID#
Request#
URL: GET https://<host>/api/v3/merchant/orders/{id}
{id}- order UUID
Headers:
Content-Type: application/jsonAuthorization: Bearer <YOUR-API-KEY>. See the "Request Authorization" page.
cURL Example#
curl -X 'GET' 'https://<host>/api/v3/merchant/orders/46d9ff65-505d-4148-8172-6b8c0a09ded8' \
-H 'Authorization: Bearer <YOUR-API-KEY>'
Response#
HTTP Status Code: 200
The response body is the OrderOut order model (see "General Information"):
{
"id": "46d9ff65-505d-4148-8172-6b8c0a09ded8",
"createdAt": "2026-08-31T06:37:45.776331Z",
"updatedAt": "2026-08-31T06:38:23.596007Z",
"type": "PayOut",
"direction": "PayOut",
"status": "payment_in_progress",
"merchantOrderID": null,
"clientID": null,
"methodID": 5,
"currencyCode": "KRW",
"amount": 10,
"merchantCommission": 1,
"amountUSDT": 5.617978,
"merchantCommissionUSDT": 0.561798,
"exchangeRate": 1600.1636,
"trafficType": "mixed"
}
Order not found - 404.
Get Order List#
Request#
URL: GET https://<host>/api/v3/merchant/orders
Headers:
Content-Type: application/jsonAuthorization: Bearer <YOUR-API-KEY>. See the "Request Authorization" page.
Query parameters (all optional):
| Parameter | Type | Description |
|---|---|---|
status |
string | Order statuses. Can be passed multiple times |
type |
string | Order types. Can be passed multiple times |
direction |
string | Order directions. Can be passed multiple times |
currencyCode |
string | ISO 4217 of the order currency |
amountFrom |
float64 | Lower amount bound, inclusive |
amountTo |
float64 | Upper amount bound, inclusive |
methodID |
integer | Order method |
orderID |
string | Order UUID |
merchantOrderID |
string | Merchant order identifier |
clientID |
string | Client identifier |
createdAtFrom |
string | Creation period start, bound included, RFC 3339 |
createdAtTo |
string | Creation period end, bound included, RFC 3339 |
limit |
integer | Number of items; the cap is 10000 |
offset |
integer | Sample offset |
The output order is createdAt descending; no sorting parameters are provided.
Filtering rules:
- Array filters (
status,type,direction) are passed by repeating the parameter; values of a single filter are combined with OR, different filters are combined with AND - Period and amount bounds are inclusive
cURL Example#
curl -X 'GET' \
'https://<host>/api/v3/merchant/orders?status=succeeded&status=expired&type=PayIn&limit=10&offset=0' \
-H 'Authorization: Bearer <YOUR-API-KEY>'
Response#
HTTP Status Code: 200
The order list matching the filters; total is the number of orders matching the filters,
ignoring pagination. The items elements are the OrderOut model (see
"General Information"):
{
"items": [
{
"id": "46d9ff65-505d-4148-8172-6b8c0a09ded8",
"createdAt": "2026-08-31T06:37:45.776331Z",
"updatedAt": "2026-08-31T06:38:23.596007Z",
"type": "PayIn",
"direction": "PayIn",
"status": "succeeded",
"merchantOrderID": "TX-1",
"clientID": "C1",
"methodID": 9,
"currencyCode": "KRW",
"amount": 10,
"merchantCommission": 1,
"amountUSDT": 5.617978,
"merchantCommissionUSDT": 0.561798,
"exchangeRate": 1600.1636,
"trafficType": "mixed"
}
],
"total": 1
}